# Generated by Django 3.2.12 on 2022-04-13 13:04

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('applications', '0017_tenant_register_after_date'),
    ]

    operations = [
        migrations.AlterField(
            model_name='registrationevent',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('maggioli', 'maggioli')], max_length=32, verbose_name='provider'),
        ),
        migrations.AlterField(
            model_name='service',
            name='provider',
            field=models.CharField(choices=[('datagraph', 'datagraph'), ('dedagroup', 'dedagroup'), ('halley', 'halley'), ('maggioli', 'maggioli')], max_length=32, verbose_name='provider'),
        ),
        migrations.CreateModel(
            name='DedagroupConfig',
            fields=[
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='created at')),
                ('modified_at', models.DateTimeField(auto_now=True, verbose_name='modified at')),
                ('id', models.BigAutoField(primary_key=True, serialize=False)),
                ('description', models.CharField(blank=True, max_length=128, verbose_name='description')),
                ('is_active', models.BooleanField(verbose_name='active')),
                ('token_url', models.URLField(verbose_name='token URL')),
                ('base_url', models.URLField(verbose_name='base URL')),
                ('client_id', models.CharField(max_length=64, verbose_name='client ID')),
                ('client_secret', models.CharField(max_length=64, verbose_name='client secret')),
                ('grant_type', models.CharField(max_length=64, verbose_name='grant type')),
                ('resource', models.CharField(max_length=64, verbose_name='resource')),
                ('registry_id', models.PositiveIntegerField(verbose_name='registry ID')),
                ('author_id', models.PositiveIntegerField(verbose_name='author ID')),
                ('organization_chart_level_code', models.CharField(max_length=64, verbose_name='organization chart level code')),
                ('institution_aoo_id', models.PositiveIntegerField(verbose_name='AOO ID')),
                ('classification_title', models.CharField(max_length=16, null=True, verbose_name='classification title')),
                ('classification_class', models.CharField(max_length=16, null=True, verbose_name='classification class')),
                ('classification_subclass', models.CharField(max_length=16, null=True, verbose_name='classification subclass')),
                ('folder_code', models.CharField(max_length=64, null=True, verbose_name='folder code')),
                ('service', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='dedagroup_configs', to='applications.service', verbose_name='service')),
            ],
        ),
        migrations.AddConstraint(
            model_name='dedagroupconfig',
            constraint=models.UniqueConstraint(condition=models.Q(('is_active', True)), fields=('service', 'is_active'), name='applications_dedagroupconfig_unique_service_is_active_true'),
        ),
    ]
